<bugID>363955<Summary>Combobox doesn't provide the selected item for the "Add Bookmark" dialog and other places</Summary><Description>User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20061213 Minefield/3.0a1
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9a1) Gecko/20061213 Minefield/3.0a1

Via the AT-SPI, the "Name:" combobox in the "Add Bookmark" dialog seems to show up as a combobox with no children or other needed accessible information, meaning an assistive technology cannot get to what the combobox is displaying.

Reproducible: Always

Steps to Reproduce:
1. Run Firefox
2. Press Ctrl+D to bring up the "Add Bookmark" dialog
3. Analyze the "Add Bookmark" dialog via at-poke.

Actual Results:  
You'll see that the "Name:" combobox doesn't allow an assistive technology to determine what the combobox is displaying.  You'll also see that the "Create in:" combobox in the same dialog does give some good information.

Expected Results:  
We need to be able to get to the accessible text information of the "Name:" field.  Maybe it should be an autocomplete widget instead?</Description></bugID>